%define		module	CDDB

Summary:	Module for accessing CDDB and FreeDB
Summary(pl.UTF-8):	Moduł dostępu do baz CDDB i FreeDB
Name:		python-%{module}
Version:	1.4
Release:	9
License:	GPL
Group:		Libraries/Python
Source0:	http://cddb-py.sourceforge.net/%{module}-%{version}.tar.gz
# Source0-md5:	254698082bafe3030d07d88fb7e13fe2
URL:		http://cddb-py.sourceforge.net/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
%pyrequires_eq	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a set of three modules to access the CDDB and FreeDB online
databases of audio CD track titles and information. It includes a C
extension module to fetch track lengths under Linux, FreeBSD, OpenBSD,
Mac OS X, Solaris, and Win32, which is easily ported to other
operating systems.

%description -l pl.UTF-8
Jest to zestaw trzech modułów umożliwiających dostęp do baz CDDB i
FreeDB w celu pobierania tytułów i informacji o ścieżkach płyt CD.
Pakiet zawiera też moduł w C do wyciągania długości ścieżek, działający
pod Linuksem, FreeBSD, OpenBSD, MacOS X, Solarisem i Win32.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

%py_install

install cddb-info.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%{py_sitedir}/*.py[co]
%{py_sitedir}/CDDB-*.egg-info
%attr(755,root,root) %{py_sitedir}/cdrom.so
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-CDDB.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 455ff6a
- release 9 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 4dbdf76
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 77a0b05
- release 8 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 101f221
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c446dd9
- release 7

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f4cd292
- release 6

* Mon Apr 16 2007 beorn <beorn@pld-linux.org> 1f511c2
- pl beautify
- py_postclean macro
- Group change

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a94c4a1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c65f057
- converted to UTF-8

* Mon Jan 01 2007 Marcin Banasiak <marcin.banasiak@gmail.com> e642025
- package *.egg-info for python 2.5

* Mon Jan 01 2007 Jakub Krajniak <jkrajniak@gmail.com> bdc7d62
- rel. 5 (rebuild with python 2.5)

* Sun Sep 03 2006 Artur Frysiak <artur@frysiak.net> d8d23a8
- rel. 4 (rebuild with python 2.5)

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> d670372
- mass commit: remove obsolete BR: rpm-pythonprov

* Thu Dec 23 2004 saq <saq@pld-linux.org> 1ea3dfa
- release 3 for rebuild with python 2.4

* Sat Nov 27 2004 saq <saq@pld-linux.org> 7cc356f
- massive attack: added missing python-devel epoch do BR

* Wed Aug 18 2004 havner <havner@pld-linux.org> 2578b4d
- rel 2

* Mon Jul 26 2004 Marcin Gajda <m.gajda@functional-software.com> 8db8f7a
- massive attack: s/CLFAGS/CFLAGS/

* Wed May 26 2004 ankry <ankry@pld-linux.org> 97a96e8
- capitalization, tabs, other cosmetics

* Sat Feb 21 2004 Jakub Bogusz <qboosh@pld-linux.org> d921765
- fixed License, .so perms, don't include Yet Another Copy of GPL text

* Fri Feb 20 2004 ankry <ankry@pld-linux.org> 8e2960f
- speces -> tabs

